<script setup lang="ts">
import { useBusLineData } from '@/composables/useBusLineData';

const { current, lines, selectBusLine } = useBusLineData();
</script>

<template>
  <div class="options bg-white">
    <div class="text-container">
      <p class="fs-6 fw-bolder">Select Bus Line</p>
    </div>
    <div class="button-container p-4">
      <button
          :class="['btn btn-primary', { active: line == current }]"
          v-for="line in lines"
          :key="line"
          @click="selectBusLine(line)"
      >
        {{ line }}
      </button>
    </div>
  </div>
</template>

